Bug 1121092 - WARNING: CPU: 1 PID: 495 at mm/slab_common.c:69 kmem_cache_create+0x1a9/0x330()
Summary: WARNING: CPU: 1 PID: 495 at mm/slab_common.c:69 kmem_cache_create+0x1a9/0x330()
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 10:46 UTC by poma
Modified: 2014-08-12 07:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-09 08:29:53 UTC


Attachments (Terms of Use)
dmesg 3.16.0-0.rc5.git0.1.fc21.x86_64 - WARNING mm/slab_common.c:69 kmem_cache_create (40.53 KB, text/plain)
2014-07-18 10:47 UTC, poma
no flags Details

Description poma 2014-07-18 10:46:02 UTC
------------[ cut here ]------------
WARNING: CPU: 1 PID: 495 at mm/slab_common.c:69 kmem_cache_create+0x1a9/0x330()
Modules linked in: virtio_net virtio_scsi(+) drm virtio_pci i2c_core virtio_ring ata_generic pata_acpi virtio sunrpc dm_crypt dm_round_robin linear raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx raid6_pq raid1 raid0 iscsi_ibft iscsi_boot_sysfs floppy iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi squashfs cramfs edd dm_multipath
CPU: 1 PID: 495 Comm: systemd-udevd Not tainted 3.16.0-0.rc5.git0.1.fc21.x86_64 #1
Hardware name: Bochs Bochs, BIOS Bochs 01/01/2011
 0000000000000000 00000000bfd3b05a ffff88007f55fa40 ffffffff8171b4e3
 0000000000000000 ffff88007f55fa78 ffffffff8108f30d ffff880079175d40
 ffff88007f55ffd8 ffffffff81c6de08 ffff88007f55ffd8 ffff88007f55ffd8
Call Trace:
 [<ffffffff8171b4e3>] dump_stack+0x45/0x56
 [<ffffffff8108f30d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108f43a>] warn_slowpath_null+0x1a/0x20
 [<ffffffff811a7c59>] kmem_cache_create+0x1a9/0x330
 [<ffffffff814a4070>] scsi_setup_command_freelist+0x120/0x270
 [<ffffffff814a4d90>] scsi_add_host_with_dma+0x60/0x2b0
 [<ffffffffa017b9c9>] virtscsi_probe+0x269/0x2af [virtio_scsi]
 [<ffffffffa01877c0>] ? vp_reset+0x90/0x90 [virtio_pci]
 [<ffffffffa010e1d9>] virtio_dev_probe+0xe9/0x160 [virtio]
 [<ffffffff81483d83>] driver_probe_device+0xa3/0x400
 [<ffffffff814841ab>] __driver_attach+0x8b/0x90
 [<ffffffff81484120>] ? __device_attach+0x40/0x40
 [<ffffffff81481b23>] bus_for_each_dev+0x73/0xc0
 [<ffffffff8148381e>] driver_attach+0x1e/0x20
 [<ffffffff814833f0>] bus_add_driver+0x180/0x250
 [<ffffffffa0180000>] ? 0xffffffffa017ffff
 [<ffffffff81484974>] driver_register+0x64/0xf0
 [<ffffffffa010e550>] register_virtio_driver+0x20/0x40 [virtio]
 [<ffffffffa0180085>] init+0x85/0x1000 [virtio_scsi]
 [<ffffffff81002148>] do_one_initcall+0xd8/0x210
 [<ffffffff811c3952>] ? __vunmap+0xa2/0x100
 [<ffffffff8110d951>] load_module+0x2061/0x2600
 [<ffffffff811092f0>] ? store_uevent+0x70/0x70
 [<ffffffff8110dfbd>] SyS_init_module+0xcd/0x120
 [<ffffffff817223a9>] system_call_fastpath+0x16/0x1b
---[ end trace 64d7cf025fd3bf4a ]---

Comment 1 poma 2014-07-18 10:47:59 UTC
Created attachment 919048 [details]
dmesg 3.16.0-0.rc5.git0.1.fc21.x86_64 - WARNING mm/slab_common.c:69 kmem_cache_create

Comment 2 poma 2014-07-22 07:55:34 UTC
Overall it was a good fight.

Comment 3 poma 2014-07-29 23:33:17 UTC
"scsi: use short driver name for per-driver cmd slab caches"
http://git.infradead.org/users/hch/scsi-queue.git/commitdiff/884ffee?hp=16acf5d
http://git.infradead.org/users/hch/scsi-queue.git/patch/884ffee?hp=16acf5d

Josh, I leave you to decide whether to apply this on the 3.16 or wait for the 3.17.


Note You need to log in before you can comment on or make changes to this bug.